Lua_CollectionBookActiveCardWindow = class("Lua_CollectionBookActiveCardWindow", Lua_Window);
function Lua_CollectionBookActiveCardWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER;
	self.windowName = "Lua_CollectionBookActiveCardWindow";
	self.skinName = "CollectionBookActiveCardWindow_skin";
	self.showBlackMask = true
	self.isClickClose = true;
end

function Lua_CollectionBookActiveCardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.flashItem = Lua_CommonFlashCardItem.new(self.content);
	self.flashItem.openTime = 0.1;
	self.flashItem.rotateNum = 1;
end

function Lua_CollectionBookActiveCardWindow:dispose()
	if self.flashItem ~= nil then
		self.flashItem:dispose();
		self.flashItem = nil;
	end
	self:superCall("dispose");
end

function Lua_CollectionBookActiveCardWindow:showWin(param)
	self:superCall("showWin", param);

	local flashId = DataCenter.collectionBookUtil:getCardConfigByCardIdAndType(param, Lua_CollectionBookUtil.FLASH_ID);
	if flashId == nil then
		return;
	end
	-- 閃卡
	local flashInfo = Lua_FlashCardVo.new(flashId);
	self.flashItem:setData(flashInfo);

	local isShowEffect = DataCenter.collectionBookUtil:checkShowEffectByCardId(param);
	self.flashItem:showEffect(isShowEffect, "ui_scc_sk_0002", 0, 0, 1);
end